GuidesAPI Reference
API Reference

Gets a blob

Retrieves a blob from storage.

Path Params
string
required

The ID of the parent layer for this blob.

string
required

The data handle identifies a specific blob so that you can get that blob's contents. The data handle can only contain alphanumeric, '-' and '.' characters, [0-9, a-z, A-Z, -, .]. The maximum length of this field is 600 characters.

Query Params
string of strings

Define preferred blob access type, possible values are: inlineAccess and storageLayerAccess. inlineAccess standard way to deliver blob content within the http response. If storageLayerAccess is specified then Blob Service can return http redirect to retrieve blob content from an alternative location, it can be either presigned url to AWS S3 or Azure Blob or similar service. On following redirect client should omit Authorization header.

string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Headers
string

Use this parameter to resume download of a large response when there is a connection issue between the client and server, or to fetch a specific slice of the blob. To resume download after a connection issue, specify a single byte range offset like this: Range: bytes=10-. To fetch a specific slice of the blob, specify a slice like this: Range: bytes=10-100. This parameter is compliant with RFC 7233, but note that this parameter only supports a single byte range. The range parameter can also be specified as a query parameter, i.e. range=bytes=10-.

string

Entity tags uniquely representing the requested resources. Makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field-value is "*", or having a selected representation with an entity-tag that does not match any of those listed in the field-value. For more information, see RFC 7232, section 3.2: If-None-Match.

Responses

307

Temporary redirect to retrieve blob content from an alternative location.

400

Bad Request, for example if the dataHandle is malformed.

401

Unauthorized

403

Forbidden

404

Not Found - no blob is associated with this dataHandle

416

Range Not Satisfiable - indicates errors in the Range parameter as per RFC 7233.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*